# sczip — SeisComP Release documentation

6.9.0

# sczip

Compress or expand files with ZIP algorithm

## Description

sczip can compress and decompress data using the ZIP algorithm (PKZIP). It is not meant to supersede any available packagers but a little helper to decompress zipped SeisComPML formats. Like GZip, sczip can only handle one file and does not support archives. It compresses a byte stream and outputs a byte stream.

## Examples

Decompress a file

    sczip -d file.xml.zip -o file.xml

    sczip -d file.xml.zip -o file.xml

Compress a file

    sczip file.xml -o file.xml.zip

    sczip < file.xml > file.xml.zip

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/sczip.cfg`
`etc/global.cfg`
`etc/sczip.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/sczip.cfg`

sczip inherits global options.

## Command-Line Options

sczip file.dat -o file.zip

sczip file.dat -d -o file.zip

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Mode

-d, --decompress

  Decompress.

-o, --output file

  Output file name. Default is stdout.